event_registryp0_(event_registryp0__dcl).
event_registryp0__dcl(monitors(_33459),p(p(p)),static,no).
event_registryp0__dcl(monitored(_33459),p(p(p)),static,no).
event_registryp0__dcl(monitor(_33459,_33460,_33461,_33462),p(p(p)),static,no).
event_registryp0__dcl(set_monitor(_33459,_33460,_33461,_33462),p(p(p)),static,no).
event_registryp0__dcl(del_monitors(_33459,_33460,_33461,_33462),p(p(p)),static,no).
event_registryp0__dcl(del_monitors,p(p(p)),static,no).
:-(event_registryp0__dcl(_33457,_33458,_33459,_33460,event_registryp),event_registryp0__dcl(_33457,_33458,_33459,_33460)).
:-(initialization('$lgt_assert_relation_clauses'(['$lgt_current_protocol_'(event_registryp,event_registryp0_)]))).
